from distutils.core import setup, Extension
from Pyrex.Distutils import build_ext as build_pyx
#from Cython.Distutils import build_ext as build_pyx

extensions = [
    Extension(
        "package." + module,
        sources = ["package/" + module + '.pyx'],
        )

    for module in ['export', 'importeur']
    ]

setup(
    name = "package",
    packages = ['package'],
    ext_modules = extensions,
    cmdclass = {'build_ext': build_pyx}
)

# TEST

import sys
sys.path.insert(0, '.')

import package.importeur
